## libgsm-1.0.10.tar.bz2

=== Makefile ===
# Copyright 1992-1996 by Jutta Degener and Carsten Bormann, Technische
# Universitaet Berlin.  See the accompanying file "COPYRIGHT" for
# details.  THERE IS ABSOLUTELY NO WARRANTY FOR THIS SOFTWARE.

# Machine- or installation dependent flags you should configure to port

SASR	= -DSASR
######### Define SASR if >> is a signed arithmetic shift (-1 >> 1 == -1)

MULHACK = -DUSE_FLOAT_MUL
######### Define this if your host multiplies floats faster than integers,
######### e.g. on a SPARCstation.

FAST	= -DFAST
######### Define together with USE_FLOAT_MUL to enable the GSM library's
######### approximation option for incorrect, but good-enough results.

# LTP_CUT	= -DLTP_CUT
LTP_CUT	=
######### Define to enable the GSM library's long-term correlation 
######### approximation option---faster, but worse; works for
######### both integer and floating point multiplications.
######### This flag is still in the experimental stage.

#WAV49	= -DWAV49
WAV49	=
######### Define to enable the GSM library's option to pack GSM frames 
######### in the style used by the WAV #49 format.  If you want to write
######### a tool that produces .WAV files which contain GSM-encoded data,
######### define this, and read about the GSM_OPT_WAV49 option in the
######### manual page on gsm_option(3).

# Choose a compiler.  The code works both with ANSI and K&R-C.
# Use -DNeedFunctionPrototypes to compile with, -UNeedFunctionPrototypes to
# compile without, function prototypes in the header files.
#
# You can use the -DSTUPID_COMPILER to circumvent some compilers'
# static limits regarding the number of subexpressions in a statement.

# CC		= cc
# CCFLAGS 	= -c -DSTUPID_COMPILER

# CC		= /usr/lang/acc
# CCFLAGS 	= -c -O

CC		= gcc -ansi -pedantic
CCFLAGS 	= -c -O2 -DNeedFunctionPrototypes=1

LD 		= $(CC)

# LD		= gcc
# LDFLAGS 	=


# If your compiler needs additional flags/libraries, regardless of
# the source compiled, configure them here.

# CCINC	= -I/usr/gnu/lib/gcc-2.1/gcc-lib/sparc-sun-sunos4.1.2/2.1/include
######### Includes needed by $(CC)

# LDINC	= -L/usr/gnu/lib/gcc-2.1/gcc-lib/sparc-sun-sunos4.1.2/2.1
######### Library paths needed by $(LD)

# LDLIB	= -lgcc
######### Additional libraries needed by $(LD)


# Where do you want to install libraries, binaries, a header file
# and the manual pages?
#
# Leave INSTALL_ROOT empty (or just don't execute "make install") to
# not install gsm and toast outside of this directory.

INSTALL_ROOT	=

# Where do you want to install the gsm library, header file, and manpages?
#
# Leave GSM_INSTALL_ROOT empty to not install the GSM library outside of
# this directory.

GSM_INSTALL_ROOT = $(INSTALL_ROOT)
GSM_INSTALL_LIB = $(GSM_INSTALL_ROOT)/lib
GSM_INSTALL_INC = $(GSM_INSTALL_ROOT)/inc
GSM_INSTALL_MAN = $(GSM_INSTALL_ROOT)/man/man3


# Where do you want to install the toast binaries and their manpage?
#
# Leave TOAST_INSTALL_ROOT empty to not install the toast binaries outside
# of this directory.

TOAST_INSTALL_ROOT	  = $(INSTALL_ROOT)
TOAST_INSTALL_BIN = $(TOAST_INSTALL_ROOT)/bin
TOAST_INSTALL_MAN = $(TOAST_INSTALL_ROOT)/man/man1

#  Other tools

SHELL		= /bin/sh
LN		= ln -s
BASENAME 	= basename
AR		= ar
ARFLAGS		= cr
RMFLAGS		=
FIND		= find
COMPRESS 	= compress
COMPRESSFLAGS 	= 
# RANLIB 	= true
RANLIB	 	= ranlib

#
#    You shouldn't have to configure below this line if you're porting.
# 


# Local Directories

ROOT	= .
ADDTST	= $(ROOT)/add-test
TST	= $(ROOT)/tst
MAN	= $(ROOT)/man
BIN	= $(ROOT)/bin
SRC	= $(ROOT)/src
LIB	= $(ROOT)/lib
TLS	= $(ROOT)/tls
INC	= $(ROOT)/inc

# Flags

# DEBUG	= -DNDEBUG
######### Remove -DNDEBUG to enable assertions.

CFLAGS	= $(CCFLAGS) $(SASR) $(DEBUG) $(MULHACK) $(FAST) $(LTP_CUT) \
	$(WAV49) $(CCINC) -I$(INC)
######### It's $(CC) $(CFLAGS)

LFLAGS	= $(LDFLAGS) $(LDINC)
######### It's $(LD) $(LFLAGS)


# Targets

LIBGSM	= $(LIB)/libgsm.a
LIBGSMSO= $(LIB)/libgsm.so

TOAST	= $(BIN)/toast
UNTOAST	= $(BIN)/untoast
TCAT	= $(BIN)/tcat

# Headers

GSM_HEADERS =	$(INC)/gsm.h

HEADERS	=	$(INC)/proto.h		\
		$(INC)/unproto.h	\
		$(INC)/config.h		\
		$(INC)/private.h	\
		$(INC)/gsm.h		\
		$(INC)/toast.h		\
		$(TLS)/taste.h

# Sources

GSM_SOURCES =	$(SRC)/add.c		\
		$(SRC)/code.c		\
		$(SRC)/debug.c		\
		$(SRC)/decode.c		\
		$(SRC)/long_term.c	\
		$(SRC)/lpc.c		\
		$(SRC)/preprocess.c	\
		$(SRC)/rpe.c		\
		$(SRC)/gsm_destroy.c	\
		$(SRC)/gsm_decode.c	\
		$(SRC)/gsm_encode.c	\
		$(SRC)/gsm_explode.c	\
		$(SRC)/gsm_implode.c	\
		$(SRC)/gsm_create.c	\
		$(SRC)/gsm_print.c	\
		$(SRC)/gsm_option.c	\
		$(SRC)/short_term.c	\
		$(SRC)/table.c

TOAST_SOURCES = $(SRC)/toast.c 		\
		$(SRC)/toast_lin.c	\
		$(SRC)/toast_ulaw.c	\
		$(SRC)/toast_alaw.c	\
		$(SRC)/toast_audio.c

SOURCES	=	$(GSM_SOURCES)		\
		$(TOAST_SOURCES)	\
		$(ADDTST)/add_test.c	\
		$(TLS)/sour.c		\
		$(TLS)/ginger.c		\
		$(TLS)/sour1.dta	\
		$(TLS)/sour2.dta	\
		$(TLS)/bitter.c		\
		$(TLS)/bitter.dta	\
		$(TLS)/taste.c		\
		$(TLS)/sweet.c		\
		$(TST)/cod2lin.c	\
		$(TST)/cod2txt.c	\
		$(TST)/gsm2cod.c	\
		$(TST)/lin2cod.c	\
		$(TST)/lin2txt.c

# Object files

GSM_OBJECTS =	$(SRC)/add.o		\
		$(SRC)/code.o		\
		$(SRC)/debug.o		\
		$(SRC)/decode.o		\
		$(SRC)/long_term.o	\
		$(SRC)/lpc.o		\
		$(SRC)/preprocess.o	\
		$(SRC)/rpe.o		\
		$(SRC)/gsm_destroy.o	\
		$(SRC)/gsm_decode.o	\
		$(SRC)/gsm_encode.o	\
		$(SRC)/gsm_explode.o	\
		$(SRC)/gsm_implode.o	\
		$(SRC)/gsm_create.o	\
		$(SRC)/gsm_print.o	\
		$(SRC)/gsm_option.o	\
		$(SRC)/short_term.o	\
		$(SRC)/table.o

TOAST_OBJECTS =	$(SRC)/toast.o 		\
		$(SRC)/toast_lin.o	\
		$(SRC)/toast_ulaw.o	\
		$(SRC)/toast_alaw.o	\
		$(SRC)/toast_audio.o

OBJECTS =	 $(GSM_OBJECTS) $(TOAST_OBJECTS)

# Manuals

GSM_MANUALS =	$(MAN)/gsm.3		\
		$(MAN)/gsm_explode.3	\
		$(MAN)/gsm_option.3	\
		$(MAN)/gsm_print.3

TOAST_MANUALS =	$(MAN)/toast.1

MANUALS	= 	$(GSM_MANUALS) $(TOAST_MANUALS) $(MAN)/bitter.1

# Other stuff in the distribution

STUFF = 	ChangeLog			\
		INSTALL			\
		MACHINES		\
		MANIFEST		\
		Makefile		\
		README			\
		$(ADDTST)/add_test.dta	\
		$(TLS)/bitter.dta	\
		$(TST)/run


# Install targets

GSM_INSTALL_TARGETS =	\
		$(GSM_INSTALL_LIB)/libgsm.a		\
		$(GSM_INSTALL_INC)/gsm.h		\
		$(GSM_INSTALL_MAN)/gsm.3		\
		$(GSM_INSTALL_MAN)/gsm_explode.3	\
		$(GSM_INSTALL_MAN)/gsm_option.3		\
		$(GSM_INSTALL_MAN)/gsm_print.3

TOAST_INSTALL_TARGETS =	\
		$(TOAST_INSTALL_BIN)/toast		\
		$(TOAST_INSTALL_BIN)/tcat		\
		$(TOAST_INSTALL_BIN)/untoast		\
		$(TOAST_INSTALL_MAN)/toast.1


# Default rules

.c.o:
		$(CC) $(CFLAGS) $?
		@-mv `$(BASENAME) $@` $@ > /dev/null 2>&1

# Target rules

all:		$(LIBGSM) $(LIBGSMSO) $(TOAST) $(TCAT) $(UNTOAST)
		@-echo $(ROOT): Done.

tst:		$(TST)/lin2cod $(TST)/cod2lin $(TOAST) $(TST)/test-result
		@-echo tst: Done.

addtst:		$(ADDTST)/add $(ADDTST)/add_test.dta
		$(ADDTST)/add < $(ADDTST)/add_test.dta > /dev/null
		@-echo addtst: Done.

misc:		$(TLS)/sweet $(TLS)/bitter $(TLS)/sour $(TLS)/ginger 	\
			$(TST)/lin2txt $(TST)/cod2txt $(TST)/gsm2cod
		@-echo misc: Done.

install:	toastinstall gsminstall
		@-echo install: Done.


# The basic API: libgsm

$(LIBGSMSO):	$(LIB) $(GSM_OBJECTS)
		$(LD) -o $@.1.0.10 -shared -Xlinker -soname -Xlinker libgsm.so.1 $(GSM_OBJECTS) -lc
		ln -fs libgsm.so.1.0.10 lib/libgsm.so.1
		ln -fs libgsm.so.1.0.10 lib/libgsm.so

$(LIBGSM):	$(LIB) $(GSM_OBJECTS)
		-rm $(RMFLAGS) $(LIBGSM)
		$(AR) $(ARFLAGS) $(LIBGSM) $(GSM_OBJECTS)
		$(RANLIB) $(LIBGSM)


# Toast, Untoast and Tcat -- the compress-like frontends to gsm.

$(TOAST):	$(BIN) $(TOAST_OBJECTS) $(LIBGSM)
		$(LD) $(LFLAGS) -o $(TOAST) $(TOAST_OBJECTS) $(LIBGSMSO) $(LDLIB)

$(UNTOAST):	$(BIN) $(TOAST)
		-rm $(RMFLAGS) $(UNTOAST)
		$(LN) toast $(UNTOAST)

$(TCAT):	$(BIN) $(TOAST)
		-rm $(RMFLAGS) $(TCAT)
		$(LN) toast $(TCAT)


# The local bin and lib directories

$(BIN):
		if [ ! -d $(BIN) ] ; then mkdir $(BIN) ; fi

$(LIB):
		if [ ! -d $(LIB) ] ; then mkdir $(LIB) ; fi


# Installation

gsminstall:
		-if [ x"$(GSM_INSTALL_ROOT)" != x ] ; then	\
			make $(GSM_INSTALL_TARGETS) ;	\
		fi

toastinstall:
		-if [ x"$(TOAST_INSTALL_ROOT)" != x ]; then	\
			make $(TOAST_INSTALL_TARGETS);	\
		fi

gsmuninstall:
		-if [ x"$(GSM_INSTALL_ROOT)" != x ] ; then	\
			rm $(RMFLAGS) $(GSM_INSTALL_TARGETS) ;	\
		fi

toastuninstall:
		-if [ x"$(TOAST_INSTALL_ROOT)" != x ] ; then 	\
			rm $(RMFLAGS) $(TOAST_INSTALL_TARGETS);	\
		fi

$(TOAST_INSTALL_BIN)/toast:	$(TOAST)
		-rm $@
		cp $(TOAST) $@
		chmod 755 $@

$(TOAST_INSTALL_BIN)/untoast:	$(TOAST_INSTALL_BIN)/toast
		-rm $@
		ln $? $@

$(TOAST_INSTALL_BIN)/tcat:	$(TOAST_INSTALL_BIN)/toast
		-rm $@
		ln $? $@

$(TOAST_INSTALL_MAN)/toast.1:	$(MAN)/toast.1
		-rm $@
		cp $? $@
		chmod 444 $@

$(GSM_INSTALL_MAN)/gsm.3:	$(MAN)/gsm.3
		-rm $@
		cp $? $@
		chmod 444 $@

$(GSM_INSTALL_MAN)/gsm_option.3:	$(MAN)/gsm_option.3
		-rm $@
		cp $? $@
		chmod 444 $@

$(GSM_INSTALL_MAN)/gsm_explode.3:	$(MAN)/gsm_explode.3
		-rm $@
		cp $? $@
		chmod 444 $@

$(GSM_INSTALL_MAN)/gsm_print.3:	$(MAN)/gsm_print.3
		-rm $@
		cp $? $@
		chmod 444 $@

$(GSM_INSTALL_INC)/gsm.h:	$(INC)/gsm.h
		-rm $@
		cp $? $@
		chmod 444 $@

$(GSM_INSTALL_LIB)/libgsm.a:	$(LIBGSM)
		-rm $@
		cp $? $@
		chmod 444 $@


# Distribution

dist:		gsm-1.0.tar.Z
		@echo dist: Done.

gsm-1.0.tar.Z:	$(STUFF) $(SOURCES) $(HEADERS) $(MANUALS)
		(	cd $(ROOT)/..;				\
			tar cvf - `cat $(ROOT)/gsm-1.0/MANIFEST	\
				| sed '/^#/d'`			\
		) | $(COMPRESS) $(COMPRESSFLAGS) > $(ROOT)/gsm-1.0.tar.Z

# Clean

uninstall:	toastuninstall gsmuninstall
		@-echo uninstall: Done.

semi-clean:
		-rm $(RMFLAGS)  */*.o			\
			$(TST)/lin2cod $(TST)/lin2txt	\
			$(TST)/cod2lin $(TST)/cod2txt	\
			$(TST)/gsm2cod 			\
			$(TST)/*.*.*
		-$(FIND) . \( -name core -o -name foo \) \
			-print | xargs rm $(RMFLAGS)

clean:	semi-clean
		-rm $(RMFLAGS) $(LIBGSM) $(ADDTST)/add		\
			$(LIBGSMSO) $(LIB)/libgsm.so.1.0.10	\
			$(LIB)libgsm.so.1			\
			$(TOAST) $(TCAT) $(UNTOAST)		\
			$(ROOT)/gsm-1.0.tar.Z


# Two tools that helped me generate gsm_encode.c and gsm_decode.c,
# but aren't generally needed to port this.

$(TLS)/sweet:	$(TLS)/sweet.o $(TLS)/taste.o
		$(LD) $(LFLAGS) -o $(TLS)/sweet \
			$(TLS)/sweet.o $(TLS)/taste.o $(LDLIB)

$(TLS)/bitter:	$(TLS)/bitter.o $(TLS)/taste.o
		$(LD) $(LFLAGS) -o $(TLS)/bitter \
			$(TLS)/bitter.o $(TLS)/taste.o $(LDLIB)

# A version of the same family that Jeff Chilton used to implement
# the WAV #49 GSM format.

$(TLS)/ginger:	$(TLS)/ginger.o $(TLS)/taste.o
		$(LD) $(LFLAGS) -o $(TLS)/ginger \
			$(TLS)/ginger.o $(TLS)/taste.o $(LDLIB)

$(TLS)/sour:	$(TLS)/sour.o $(TLS)/taste.o
		$(LD) $(LFLAGS) -o $(TLS)/sour \
			$(TLS)/sour.o $(TLS)/taste.o $(LDLIB)

# Run $(ADDTST)/add < $(ADDTST)/add_test.dta to make sure the
# basic arithmetic functions work as intended.

$(ADDTST)/add:	$(ADDTST)/add_test.o
		$(LD) $(LFLAGS) -o $(ADDTST)/add $(ADDTST)/add_test.o $(LDLIB)


# Various conversion programs between linear, text, .gsm and the code
# format used by the tests we ran (.cod).  We paid for the test data,
# so I guess we can't just provide them with this package.  Still,
# if you happen to have them lying around, here's the code.
# 
# You can use gsm2cod | cod2txt independently to look at what's
# coded inside the compressed frames, although this shouldn't be
# hard to roll on your own using the gsm_print() function from
# the API.


$(TST)/test-result:	$(TST)/lin2cod $(TST)/cod2lin $(TOAST) $(TST)/run
			( cd $(TST); ./run ) 

$(TST)/lin2txt:		$(TST)/lin2txt.o $(LIBGSM)
			$(LD) $(LFLAGS) -o $(TST)/lin2txt \
				$(TST)/lin2txt.o $(LIBGSM) $(LDLIB)

$(TST)/lin2cod:		$(TST)/lin2cod.o $(LIBGSM)
			$(LD) $(LFLAGS) -o $(TST)/lin2cod \
				$(TST)/lin2cod.o $(LIBGSM) $(LDLIB)

$(TST)/gsm2cod:		$(TST)/gsm2cod.o $(LIBGSM)
			$(LD) $(LFLAGS) -o $(TST)/gsm2cod \
				$(TST)/gsm2cod.o $(LIBGSM) $(LDLIB)

$(TST)/cod2txt:		$(TST)/cod2txt.o $(LIBGSM)
			$(LD) $(LFLAGS) -o $(TST)/cod2txt \
				$(TST)/cod2txt.o $(LIBGSM) $(LDLIB)

$(TST)/cod2lin:		$(TST)/cod2lin.o $(LIBGSM)
			$(LD) $(LFLAGS) -o $(TST)/cod2lin \
				$(TST)/cod2lin.o $(LIBGSM) $(LDLIB)

=== debian/changelog ===
libgsm (1.0.10-13) unstable; urgency=low

  * Fixed desciption synopsis
  * Removed /usr/doc link from postinst and prerm
  * Changed shlibs[.local] to not include the Debian revision
  * Added watch file
  * Added own doc directory for libgsm-tools

 -- Jochen Friedrich <jochen@scram.de>  Sat, 31 Jul 2004 10:08:59 +0200

libgsm (1.0.10-12) unstable; urgency=low

  * New maintainer (Closes: #227785)
  * Bumped policy version to 3.6.1 (no changes)
  * Ack NMUs from Marcin Owsiany <porridge@debian.org>
    (Closes: #148765, #99540, #166400, #178147, #171770)
  * Cleaned up compiler warnings on 64 bit platforms (Closes: #226561)
  * Changed errno handling again to avoid breaking on multithreaded
    applications. Hurd should also be happy now (Closes: #164191, #164194)
  * Add C++ guard to gsm.h (Closes: #202712)
    Thanks to Anand Kumria <wildfire@progsoc.org> for the patch.
  * Renamed libgsm-bin to libgsm-utils and moved to sound as suggested
    by Santiago Garcia Mantinan <manty@debian.org> (Closes: #109741)

 -- Jochen Friedrich <jochen@scram.de>  Sun, 25 Jan 2004 09:44:07 +0100

libgsm (1.0.10-11.2) unstable; urgency=low

  * Install both gsm.h in /usr/include/ to retain upstream compatibility AND
    all the other header files in /usr/include/gsm/ in case some program uses
    them. Thanks to Alex Romosan for pointing such program out. Closes: #178147

 -- Marcin Owsiany <porridge@debian.org>  Mon, 27 Jan 2003 17:45:41 +0100

libgsm (1.0.10-11.1) unstable; urgency=low

  * Install only the required gsm.h header in /usr/include/ instead of bunch
    of files in /usr/include/gsm/ (libgsm1-dev). Closes: #166400.
  * Install needed symlinks to section 3 manpages. Closes: #99540.
  * Don't define USE_FLOAT_MUL on arm. Closes: #148765.

 -- Marcin Owsiany <porridge@debian.org>  Thu,  7 Nov 2002 22:01:29 +0100

libgsm (1.0.10-11) unstable; urgency=low

  * Compile it with -DWAV49. Closes: #102387.
  * Cleaning here and there to make lintian happy.
  * Fixed some bashisms on debian/rules.
  * Removed some redundant files from the doc directory.
  * NMU to remove the dust that covered it.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 22 Aug 2001 15:10:43 +0200

libgsm (1.0.10-10) unstable; urgency=low

  * Update copyright information.
  * Update to Standards Version 3.0.1.
  * Add mime type for gsm audio. (Closes: #36861)

 -- Martin Mitchell <martin@debian.org>  Sun, 29 Aug 1999 00:00:58 +1000

libgsm (1.0.10-9) unstable; urgency=low

  * Ignore errors on chown in makefile to fix powerpc compilation.

 -- Martin Mitchell <martin@debian.org>  Sun, 13 Sep 1998 03:28:19 +1000

libgsm (1.0.10-8) unstable; urgency=low

  * Add -f flag to chown in rules file to work around chown symlink problem.

 -- Martin Mitchell <martin@debian.org>  Sun, 13 Sep 1998 02:53:01 +1000

libgsm (1.0.10-7) unstable; urgency=low

  * Change section from devel to libs.
  * Call ldconfig in postinst.
  * Source changes for powerpc compilation.

 -- Martin Mitchell <martin@debian.org>  Wed,  9 Sep 1998 03:47:16 +1000

libgsm (1.0.10-6) frozen unstable; urgency=high

  * Fix package overlap between bo and hamm version of this library. (#22454)
  * Update to Standards Version 2.4.1.

 -- Martin Mitchell <martin@debian.org>  Wed, 20 May 1998 06:02:22 +1000

libgsm (1.0.10-5) unstable; urgency=low

  * Rename doc directory to libgsm1, fixing 'no copyright' bug. (#19356)
  * Add symlinks for doc directories for dev and bin packages.
  * Fix symlink to shlib to be after the shlib in the package.

 -- Martin Mitchell <martin@debian.org>  Fri, 13 Mar 1998 00:17:43 +1100

libgsm (1.0.10-4) unstable; urgency=low

  * Add libgsm1 package dependencies. fixes: (#15374)

 -- Martin Mitchell <martin@debian.org>  Sat, 29 Nov 1997 03:13:07 +1100

libgsm (1.0.10-3) unstable; urgency=low

  * New maintainer.
  * Libc6 release.
  * Renamed -dev package to include library version.

 -- Martin Mitchell <martin@debian.org>  Sun, 23 Nov 1997 22:34:12 +1100

libgsm (1.0.10-2) unstable; urgency=low

  * Re-compiled with -D_REENTRANT.

 -- Klee Dienes <klee@debian.org>  Sat, 25 Jan 1997 16:31:28 -0500

libgsm (1.0.10-1) unstable; urgency=low

  * Initial Release.

 -- Klee Dienes <klee@debian.org>  Fri, 24 Jan 1997 14:50:55 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libgsm
Section: libs
Priority: optional
Maintainer: Jochen Friedrich <jochen@scram.de>
Standards-Version: 3.6.1

Package: libgsm1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libgsm-dev
Description: Shared libraries for GSM speech compressor
 Contains runtime shared libraries for libgsm, an implementation of
 the European GSM 06.10 provisional standard for full-rate speech
 transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse
 excitation/long term prediction) coding at 13 kbit/s.
 .
 GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
 rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
 with typical UNIX applications, our implementation turns frames of 160
 16-bit linear samples into 33-byte frames (1650 Bytes/s).
 The quality of the algorithm is good enough for reliable speaker
 recognition; even music often survives transcoding in recognizable 
 form (given the bandwidth limitations of 8 kHz sampling rate).
 .
 The interfaces offered are a front end modelled after compress(1), and
 a library API.  Compression and decompression run faster than realtime
 on most SPARCstations.  The implementation has been verified against the
 ETSI standard test patterns.

Package: libgsm1-dev
Section: devel
Architecture: any
Depends: libgsm1 (= ${Source-Version})
Conflicts: libgsm1 (<= 1.0.10-2), libgsm-dev
Replaces: libgsm-dev
Description: Development libraries for a GSM speech compressor
 Contains header files and development libraries for libgsm, an
 implementation of the European GSM 06.10 provisional standard for
 full-rate speech transcoding, prI-ETS 300 036, which uses RPE/LTP
 (residual pulse excitation/long term prediction) coding at 13 kbit/s.
 .
 GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
 rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
 with typical UNIX applications, our implementation turns frames of 160
 16-bit linear samples into 33-byte frames (1650 Bytes/s).
 The quality of the algorithm is good enough for reliable speaker
 recognition; even music often survives transcoding in recognizable 
 form (given the bandwidth limitations of 8 kHz sampling rate).
 .
 The interfaces offered are a front end modelled after compress(1), and
 a library API.  Compression and decompression run faster than realtime
 on most SPARCstations.  The implementation has been verified against the
 ETSI standard test patterns.

Package: libgsm-tools
Replaces: libgsm-bin
Section: sound
Architecture: any
Depends: ${shlibs:Depends}
Description: User binaries for a GSM speech compressor
 Contains user binaries for libgsm, an implementation of the European
 GSM 06.10 provisional standard for full-rate speech transcoding,
 prI-ETS 300 036, which uses RPE/LTP (residual pulse excitation/long
 term prediction) coding at 13 kbit/s.
 .
 GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
 rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
 with typical UNIX applications, our implementation turns frames of 160
 16-bit linear samples into 33-byte frames (1650 Bytes/s).
 The quality of the algorithm is good enough for reliable speaker
 recognition; even music often survives transcoding in recognizable 
 form (given the bandwidth limitations of 8 kHz sampling rate).
 .
 The interfaces offered are a front end modelled after compress(1), and
 a library API.  Compression and decompression run faster than realtime
 on most SPARCstations.  The implementation has been verified against the
 ETSI standard test patterns.

=== debian/rules ===
#! /usr/bin/make -f

.PHONY: configure build clean binary binary-indep binary-arch checkdir checkroot

b = $(shell pwd)/debian/build
STRIP=/usr/bin/strip --remove-section=.note --remove-section=.comment --strip-all

ifeq ($(DEB_HOST_ARCH),arm)
MULTYPE=''
else
MULTYPE='-DUSE_FLOAT_MUL'
endif

build: checkdir
	$(MAKE) CCFLAGS='-c -g -O2 -fPIC -Wall -D_GNU_SOURCE -D_REENTRANT -DNeedFunctionPrototypes=1 -DWAV49' MULHACK=$(MULTYPE) all


clean: checkdir
	rm -rf debian/build debian/files debian/substvars
	find . -name \*~ -print0 | xargs -0 rm -f
	$(MAKE) clean

binary:	binary-indep binary-arch

binary-indep: build checkroot

binary-arch: checkdir build checkroot

	rm -rf debian/build debian/files debian/substvars

	install -d $(b)/lib/DEBIAN
	install -d $(b)/dev/DEBIAN
	install -d $(b)/tools/DEBIAN

	install -d $(b)/lib/usr/lib
	mv lib/*.so.1.* $(b)/lib/usr/lib/
	mv lib/*.so.1 $(b)/lib/usr/lib/

	install -d $(b)/tools/usr/bin
	install -d $(b)/tools/usr/lib/mime/packages
	install -d $(b)/tools/usr/share/man/man1
	install -d $(b)/tools/usr/share/doc

	install -d $(b)/dev/usr/lib
	install -d $(b)/dev/usr/include/gsm
	install -d $(b)/dev/usr/share/man/man3
	install -d $(b)/dev/usr/share/doc

	mv bin/* $(b)/tools/usr/bin/
	$(STRIP) $(b)/tools/usr/bin/toast
	install -c man/toast.1 $(b)/tools/usr/share/man/man1/
	gzip --best $(b)/tools/usr/share/man/man1/*
	ln -sf toast.1.gz $(b)/tools/usr/share/man/man1/tcat.1.gz
	ln -sf toast.1.gz $(b)/tools/usr/share/man/man1/untoast.1.gz
	install -d $(b)/tools/usr/share/doc/libgsm-tools
	install debian/changelog $(b)/tools/usr/share/doc/libgsm-tools/changelog.Debian
	install -c ChangeLog $(b)/tools/usr/share/doc/libgsm-tools
	gzip --best $(b)/tools/usr/share/doc/libgsm-tools/*
	( cd $(b)/tools/usr/share/doc/libgsm-tools && ln -s ChangeLog.gz changelog.gz )
	install debian/copyright $(b)/tools/usr/share/doc/libgsm-tools/copyright

	# At least one program (vat) includes one of those headers
	install -c inc/*.h $(b)/dev/usr/include/gsm/
	# This makes us upstream compatible
	ln -s gsm/gsm.h $(b)/dev/usr/include/gsm.h
	mv lib/*.so $(b)/dev/usr/lib/
	mv lib/*.a $(b)/dev/usr/lib/
	install -c man/*.3 $(b)/dev/usr/share/man/man3/
	gzip --best $(b)/dev/usr/share/man/man3/*
	ln -sf gsm.3.gz $(b)/dev/usr/share/man/man3/gsm_create.3.gz
	ln -sf gsm.3.gz $(b)/dev/usr/share/man/man3/gsm_destroy.3.gz
	ln -sf gsm.3.gz $(b)/dev/usr/share/man/man3/gsm_decode.3.gz
	ln -sf gsm.3.gz $(b)/dev/usr/share/man/man3/gsm_encode.3.gz
	ln -sf gsm_explode.3.gz $(b)/dev/usr/share/man/man3/gsm_implode.3.gz
	cd $(b)/dev/usr/share/doc && ln -s libgsm1 libgsm1-dev

	install -d $(b)/lib/usr/share/doc/libgsm1
	install -c ChangeLog $(b)/lib/usr/share/doc/libgsm1
	install -c MACHINES README $(b)/lib/usr/share/doc/libgsm1/
	install debian/changelog $(b)/lib/usr/share/doc/libgsm1/changelog.Debian
	gzip --best $(b)/lib/usr/share/doc/libgsm1/*
	( cd $(b)/lib/usr/share/doc/libgsm1 && ln -s ChangeLog.gz changelog.gz )

	install debian/copyright $(b)/lib/usr/share/doc/libgsm1/copyright
	
	install -m 644 debian/shlibs $(b)/lib/DEBIAN/shlibs
	install -m 755 debian/postinst $(b)/lib/DEBIAN/postinst
	install -m 755 debian/postinst-tools $(b)/tools/DEBIAN/postinst
	install -m 755 debian/postrm-tools $(b)/tools/DEBIAN/postrm
	install -m 644 debian/mime $(b)/tools/usr/lib/mime/packages/libgsm-tools

	-chown -Rf root.root $(b)
	find $(b) -type f -print0 | xargs -0 chmod 644
	find $(b) -type d -print0 | xargs -0 chmod 755
	chmod 0755 $(b)/tools/usr/bin/*
	chmod 0644 $(b)/lib/usr/lib/*.so*
	$(STRIP) $(b)/lib/usr/lib/*.so*
	dpkg-shlibdeps $(b)/lib/usr/lib/*.so*
	chmod 755 $(b)/tools/DEBIAN/postrm
	chmod 755 $(b)/tools/DEBIAN/postinst
	chmod 755 $(b)/lib/DEBIAN/postinst

	dpkg-gencontrol -isp -plibgsm1 -P$(b)/lib
	dpkg --build $(b)/lib ..

	dpkg-gencontrol -isp -plibgsm1-dev -P$(b)/dev
	dpkg --build $(b)/dev ..

	dpkg-shlibdeps $(b)/tools/usr/bin/*
	dpkg-gencontrol -isp -plibgsm-tools -P$(b)/tools
	dpkg --build $(b)/tools ..

checkdir:
	test -d tls

checkroot:
	test "`whoami`" = "root"

=== debian/watch ===
version=2
ftp://ftp.cs.tu-berlin.de/pub/local/kbs/tubmik/gsm/gsm-([\d+\.]+|\d+)(\.tar|\.tgz)(\.gz|\.bz2|) debian uupdate
